Subject: Re: [PATCH 2/2] git-svn: Allow deep branch names by supporting multi-globs

From: Eric Wong <[email-masked]>
Date: Thu, 7 Aug 2008 02:00:08 -0700

Marcus Griep <[email-masked]> wrote:
> Some repositories use a deep branching strategy, such as:
> branches/1.0/1.0.rc1
> branches/1.0/1.0.rc2
> branches/1.0/1.0.rtm
> branches/1.0/1.0.gold
> 
> Only allowing a single glob stiffles this.
> 
> This change allows for a single glob 'set' to accept this deep branching
> strategy.
> 
> The ref glob depth must match the branch glob depth.  When using the -b or -t
> options for init or clone, this is automatically done.
> 
> For example, using the above branches:
>   svn-remote.svn.branches = branches/*/*:refs/remote/*/*
> gives the following branch names:
>   1.0/1.0.rc1
>   1.0/1.0.rc2
>   1.0/1.0.rtm
>   1.0/1.0.gold

Hi Marcus,

This looks awesome.  Some folks have been wanting to do this for a
long time but I was always too lazy to touch this code.

Unfortunately, I'm having trouble applying your patches due to
whitespace conversion issues with your MUA.  I suggest taking a look at
Documentation/SubmittingPatches on how to submit easily applyable
patches to the mailing list.

I usually use git-send-email myself, but sometimes mutt, too.

Also, there are some long lines that need to be wrapped at
80 characters or less to conform to the existing coding
conventions.

I look forward to applying and testing your patches,

Thank you!

-- 
Eric Wong